1. Withdraw
Payland API v2
  • API Response Codes and Messages
  • Credit Card Info & Test Cards
  • Withdraw Info
  • Deposit
    • Create Deposit (Bank Transfer)
      POST
    • Create Deposit (Credit Card)
      POST
    • Create Deposit (Crypto)
      POST
    • Check Deposit Status
      GET
  • Withdraw
    • Create Withdraw (Bank Transfer)
      POST
    • Check Withdrawal Status
      GET
  • Callback
    • Callback Request
      POST
  1. Withdraw

Check Withdrawal Status

GET
/api/v2/withdraw/status/{transactionId}

Request

Path Params

Header Params

Responses

🟢200
application/json
Body

🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.payland.info/api/v2/withdraw/status/WTH-123' \
--header 'x-api-key: {{api_key}}' \
--header 'x-secret-key: {{secret_key}}' \
--header 'Accept: application/json'
Response Response Example
200 - Success
{
    "success": true,
    "message": null,
    "data": {
        "transaction_id": "WTH_507",
        "hashed_transaction_id": "90eb7665-1e98-4912-a68c-f9b408987e0c",
        "status": "pending",
        "amount": "500.00",
        "currency": "TRY",
        "failure_reason":"",
        "created_at": "2026-02-08T13:26:57.000000Z"
    },
    "code": 200
}
Modified at 2026-02-09 18:24:42
Previous
Create Withdraw (Bank Transfer)
Next
Callback
Built with